spring.application.name=api-gateway
server.port=8080
eureka.instance.instance-id=${spring.application.name}:${random.uuid}
spring.cloud.loadbalancer.enabled=false

spring.cloud.gateway.routes[0].id=customers-microservice
spring.cloud.gateway.routes[0].uri=lb://CUSTOMERS-MICROSERVICE
spring.cloud.gateway.routes[0].predicates[0]=Path=/api/customers/**, /api/addresses/**

spring.cloud.gateway.routes[1].id=orders-microservice
spring.cloud.gateway.routes[1].uri=lb://ORDERS-MICROSERVICE
spring.cloud.gateway.routes[1].predicates[0]=Path=/api/order/**, /api/order/detail**

spring.cloud.gateway.routes[2].id=products-proxy-microservice
spring.cloud.gateway.routes[2].uri=lb://PRODUCTS-PROXY-MICROSERVICE
spring.cloud.gateway.routes[2].predicates[0]=Path=/api/products/**

spring.cloud.gateway.globalcors.cors-configurations.[/**].allowedOrigins=*
spring.cloud.gateway.globalcors.cors-configurations.[/**].allowedMethods=*
spring.cloud.gateway.globalcors.cors-configurations.[/**].allowedHeaders=*



